$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.77.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.77.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F3145FDFA9E260981DA99CCA32C670885A3350E163332800869DE7308821B166'
  checksumType = 'sha256'
  checksum64 = 'F3145FDFA9E260981DA99CCA32C670885A3350E163332800869DE7308821B166'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.77-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
